Copyright: Aladdin Knowledge Systems Ltd. © 1999


Activity Log
The NetHASP License Manager maintains an activity log, which includes general information in the Server Activity log and specific details in logs of the individual protocols.


-ADDRAPPEND

To: Command-Line Switches

Syntax

-ADDRAPPEND

Default

Overwrite

Purpose

When you load the NetHASP License Manager, it creates the file HASPADDR.DAT which contains the IPX address of the NetHASP License Manager. (This file is for backward compatibility with applications protected with NetHASP software versions prior to Version 3.)

If you load the NetHASP License Manager with -IPXNOSAP, it also creates an identical file called NEWHADDR.DAT.

This switch appends the address to the existing address files.

If the ADDRAPEND switch is not used address files overwrite existing files. Overwrite is the system default.

See Also

-ADDRPATH


-ADDRPATH

To: Command-Line Switches

Syntax

-ADDRPATH=<Path>

Purpose

When you load the NetHASP License Manager, it creates the file HASPADDR.DAT which contains the IPX address of the NetHASP License Manager. (This file is for backward compatibility with applications protected with NetHASP software versions prior to version 3.)

If you load the NetHASP License Manager with -IPXNOSAP, it also creates an identical file called NEWHADDR.DAT.

By default, the NetHASP License Manager puts NEWHADDR.DAT and HASPADDR.DAT in the directory where it is loaded. If you want to store these files in another location, use the -ADDRPATH switch.

This switch writes the address files to the directory specified in <Path>.

See Also

-ADDRAPPEND


-ADMIN

To: Command-Line Switches

Syntax

-ADMIN

Purpose

This switch permits only NT administrators to unload the NetHASP License Manager Windows NT service. Other users are denied the ability to do so.

Note: This switch is for use under Windows NT/2000 only.


Command-Line Switches

You can use any of the following command-line switches with the NetHASP License Manager:

-ADDRAPPEND

-ADDRPATH

-ADMIN

-HIGHPRIORITY

-IBM36

-IPX

-IPXNOSAP

-IPXSOCKETNUM

-LOCALNET

-MAXLANANUM

-NBNAME

-NETBIOS

-NOUDP

-OPENMIN

-PORTNUM

-SRVNAME

-TCPIP

-USELANANUM

-USERLIST

Note: You can replace the prefix "-" with "/" in any switch.


Contents

Introducing the NetHASP License Manager

Setup of NetHASP License Manager

Command-Line Switches

NetHASP License Manager Windows NT Service

Custom API: NetHASP License Manager Windows NT Service

NetHASP License Manager Main Window

Loading and Unloading Protocols

Viewing the Activity Log

NetHASP License Manager Configuration File

NetHASP Error Codes

Distributing the NetHASP License Manager


Custom API of NetHASP License Manager Windows NT Service

The custom API provides a set of functions with which you can install and remove the NetHASP License Manager Windows NT service.

HaspLMInstall()

HaspLMRemove()

HaspLMInfo()

HaspLMLastError()

You can also remove the NetHASP License Manager Windows NT service with UnInstallShield:

Removing the NetHASP License Manager Windows NT Service with UnInstallShield

The following are the error messages that HaspLMLastError( ) returns for:

HaspLMInstall( ), HaspLMRemove( ), and HaspLMInfo( ).

Errors: HaspLMInstall( )

Errors: HaspLMRemove( )

Errors: HaspLMInfo( )


Distributing the NetHASP License Manager

The NetHASP License Manager is available in different executables for Windows 95/98 and Windows NT/2000 operating systems. They are located on the HASP CD in the Servers subdirectory of the Utilities folder.

For the 32-bit NetHASP License Manager there are two executables:

1.	The standard NetHASP License Manager, which is at the following path:

Utilities\Servers\Win32\nhsrvw32.exe.

2.	The NetHASP License Manager as a Windows NT service, which is at the following path:

Utilities\Servers\Win32\Service\nhsrvice.exe

To distribute the License Manager you can either:

•	Supply your end users with LMSetup.exe.

OR

•	Implement the custom API to integrate the installation of the License Manager into your own installation program. If you choose to do so, make sure that your program copies the necessary server executables to the hard disk of your end user.


Error 140
Error 140 - The NetHASP License Manager does not serve your station's network.


Errors: HaspLMInfo( )

To: Custom API of NetHASP License Manager Windows NT Service

Macro	Description
OPEN_KEY_FAIL	Failure to open the key.
CLOSE_SERVICE_MANAGER_FAIL	Failure to close the service database manager.
INVALID_PARAM	Invalid parameter.
SERVICE_NOT_SUPPORTED	This service is not supported.


Errors: HaspLMInstall( )

To: Custom API of NetHASP License Manager Windows NT Service

Macro	Description
CREATE_SERVICE_FAIL	Failure to create the service.
SET_VALUE_FAIL	Failure to set a value.
LOAD_LIB_FAIL	Failure to load the DLL.
GET_PROC_ADDR_FAIL	Failure to get an address from the DLL.
FREE_LIB_FAIL	Failure to free the DLL.
GET_DATE_FAIL	Failure to get date.
CLOSE_KEY_FAIL	Failure to close the key.
START_SERVICE_FAIL	Failure to start the service.
OPEN_KEY_FAIL	Failure to open the key.
INVALID_PARAM	Invalid parameter.
SERVICE_NOT_SUPPORTED	This service is not supported.
OPEN_SERVICE_MANAGER_FAIL	Failure to open the service database manager.
OPEN_SERVICE_FAIL	Failure to open the service.
CLOSE_SERVICE_FAIL	Failure to close the service.
CLOSE_SERVICE_MANAGER_FAIL	Failure to close the service database manager.


Errors: HaspLMRemove( )

To: Custom API of NetHASP License Manager Windows NT Service

Macro	Description
CONTROL_SERVICE_FAIL	Failure to control the service
DELETE_SERVICE_FAIL	Failure to delete the service
INVALID_PARAM	Invalid parameter.
SERVICE_NOT_SUPPORTED	This service is not supported.
OPEN_SERVICE_MANAGER_FAIL	Failure to open the service database manager.
CLOSE_SERVICE_FAIL	Failure to close the service.
OPEN_SERVICE_FAIL	Failure to open the service.


exit
Exit the NetHASP License Manager utility.

Note: If the NetHASP License Manager is installed as a Windows NT service, you cannot exit using this menu option. Instead, you must uninstall the service.


HaspLMInfo()

To: Custom API - Function List

Purpose

Receives information related to the installed NetHASP License Manager Windows NT service and other general information.

DWORD HaspLMInfo(
LPLMINFO	lpLMInfo,	//Address of structure of information
);

Parameters

lpLMInfo

Points to a LMINFO structure that receives information relating to the installed NetHASP License Manager service.

Return Values

If successful the function returns the value: LM_SUCCESS.

If failed the function returns the value: LM_FAIL.

You can retrieve the error details by calling HILastErrorEx().


HaspLMInstall()

To: Custom API - Function List

Purpose

Enters the correct registry settings for the NetHASP License Manager Windows NT service.

DWORD HaspLMInstall(
DWORD	InstallMode	//Installation mode
LPSTR	LMPath	//Path to NetHASP License Manager
LPSTR	CmdLineSwitches	//Command-line switches
);

Parameters

InstallMode

Sets the characteristics of the installation process.

LMPath

Full path to the location where the NetHASP License Manager resides. It is used by the Service Control Manager to locate the NetHASP License Manager.

If you pass a Null string, then the function uses the path to the DLL, appending the default name of the NetHASP License Manager executable, "nhservw32.exe".

It is recommended that the path be to the file which on the HASP CD is found at: Utilities\Servers\Win32\Service\nhsrvice.exe.

CmdLineSwitches

NULL string or other string containing command-line switches used in loading the NetHASP License Manager.

InstallMode Options

LM_SERVICE_INSTALL

Installs the NetHASP License Manager as a Windows NT service

LM_SERVICE_START

While LM_SERVICE_INSTALL installs the NetHASP License Manager as a Windows NT service, this option enables you to run the NetHASP License Manager without reboot. Call HaspLMInstall() with this parameter after you first call with LM_SERVICE_INSTALL, or call this parameter ORED LM_SERVICE_INSTALL.

Return Values

If successful, the function returns the value LM_SUCCESS.

If it failed, the function returns the value LM_FAIL.

You can retrieve the error details by calling HaspLMLastError().

Special Considerations

This function is for use under Windows NT/2000 only.

This function does not copy NetHASP License Manager files.


HaspLMLastError()

To: Custom API - Function List

Purpose

Retrieves information about the last call to one of the NetHASP License Manager API functions.

DWORD HaspLMLastError(
DWORD	*System Error	//Address of location of system error
LPSTR	ErrorStr	//Address of error description buffer
DWORD	ErrorStrSize	//Size of error description buffer
);

Parameters

*System Error

Points to a variable containing the system error number.

ErrorStr

Points to a buffer to receive the last error description of the NetHASP License Manager Windows NT service.

ErrorStrSize

Size of ErrorStr buffer (in bytes).

Return Values

If successful, the function returns the value LM_SUCCESS.

If it failed, the function returns the value LM_FAIL.


HaspLMRemove()

To: Custom API - Function List

Purpose

Removes the registry settings for the NetHASP License Manager Windows NT service.

DWORD HaspLMRemove(
DWORD	RemoveMode	//Removal mode
LPSTR	LMPath	//For future use
);

Parameters

RemoveMode

Sets the characteristic of removal process.

LMPath

For future use. Currently, the value is NULL.

RemoveMode Option

LM_REMOVE_SERVICE

Removes the NetHASP License Manager Windows NT service.

LM_REMOVE_SERVICE_UNLOAD

Removes the NetHASP License Manager Windows NT service from memory. The service remains installed and will run again upon the next boot.

Return Values

If successful, the function returns the value: LM_SUCCESS.

If it failed, the function returns the value: LM_FAIL.

You can retrieve the error details by calling HILastErrorEx().

Special Considerations

This function is for use under Windows NT/2000 only.

Removing the NetHASP License Manager Windows NT service sends a command to the NetHASP License Manager to close if it is running.


help
View this help file and the About message.


-HIGHPRIORITY

To: Command-Line Switches

Syntax

-HIGHPRIORITY

Default

The NetHASP License Manager loads with a normal level of priority.

Purpose

Assigns high priority to the NetHASP License Manager.


-IBM36

To: Command-Line Switches

Syntax

-IBM36

Purpose

Use this switch with IBM PCs. With this switch, you search first for a NetHASP36 key and then for a standard NetHASP key.


Introducing the NetHASP License Manager

The NetHASP License Manager is an independent application that serves as a link between the NetHASP and your protected application.

Install the NetHASP License Manager on the computer to which you connect your NetHASP key. Only use the NetHASP License Manager executable that suits the operating system of the computer on which it is loaded.

The NetHASP License Manager supports IPX, NetBIOS, and TCP/IP (UDP and TCP modes). By default, it listens to all three protocols at once.


-IPX

To: Command-Line Switches

Syntax

-IPX

Purpose

By default, the NetHASP License Manager listens to IPX, NetBIOS, and TCP/IP (in both UDP and TCP modes). With this switch, you force the NetHASP License Manager to listen only to the IPX protocol with SAP. You can still load other protocols by using either the -TCPIP or -NETBIOS switch (or both).

When you load the NetHASP License Manager with this switch, it creates the file HASPADDR.DAT which contains the IPX address of the NetHASP License Manager. (This file is for backward compatibility with applications protected with NetHASP software versions prior to version 3.)

See Also

-IPXNOSAP

-TCP/IP

-NETBIOS


-IPXNOSAP

To: Command-Line Switches

Syntax

-IPXNOSAP

Purpose

By default, the NetHASP License Manager listens to IPX, NetBIOS, and TCP/IP (in both UDP and TCP modes). With this switch, you force the NetHASP License Manager to listen only to the IPX protocol without SAP. You can still load other protocols by using either the -TCPIP or -NETBIOS switch (or both).

When you use this switch, the NetHASP License Manager creates two files called NEWHADDR.DAT and HASPADDR.DAT. These files contain the IPX address of the NetHASP License Manager. When you load the NetHASP License Manager with this switch, there are two ways that the protected application can communicate with the NetHASP License Manager:

•	Using the address files (HASPADDR.DAT or NEWHADDR.DAT). In this case, make the following changes in the NetHASP configuration file:

In the NH_COMMON section, add

NH_IPX=Enabled

In the NH_IPX section, add

NH_USE_BINDERY=Disabled

NH_USE_BROADCAST=Disabled

•	Using the Broadcast mechanism, where the client resides on the same segment as the NetHASP License Manager. If you are using a NetHASP configuration file, make the following changes:

In the NH_COMMON section, add

NH_IPX=Enabled

In the NH_IPX section, add

NH_USE_BINDERY=Disabled

NH_USE_BROADCAST=Enabled

See Also

-ADDAPPEND

-ADDRPATH for more information about the location of the NEWHADDR.DAT file.

-IPX

-TCPIP

-NETBIOS


-IPXSOCKETNUM

To: Command-Line Switches

Syntax

-IPXSOCKETNUM=<Num>

Default

7483H

Purpose

Uses the specified IPX socket number (Hex).


Lananums
The number which corresponds to the NetBIOS network route.


LMInfo structure

The LMINFO structure contains information relating to the installed NetHASP License Manager Windows NT service.

typedef struct _LMINFO{
DWORD	DriverStatus;
DWORD	LMServiceStatus;
DWORD	OS;
DWORD	Reserved1;
DWORD	Reserved2;
}	LMINFO;

Members

DriverStatus

Indicates whether or not the HASP Device Driver is installed.

Value	Meaning
LM_DRIVER_INSTALLED	Driver is installed
LM_DRIVER_NOT_INSTALLED	Driver is not installed
Note: In order for the NetHASP License Manager to operate, you have to first install the HASP Device Driver.

LMServiceStatus

Status of the NetHASP License Manager service.

Value	Meaning
LM_LOADER_INSTALLED	License Manager service is installed.
LM_LOADER_NOT_INSTALLED	License Manager service is not installed.
LM_LOADER_NOT_SUPPORTED	The License Manager service is not supported because the operating system is not Windows NT/2000.
LM_LM_NOT_EXIST	The executable file of the License Manager service cannot be found.
Reserved1

For future use.

Reserved2

For future use.

Reserved3

For future use.


load
Load the protocol(s) of your choice (IPX, NetBIOS, TCP/IP).


Loading and Unloading Protocols

The NetHASP License Manager supports IPX, NetBIOS and TCP/IP (UDP and TCP modes), and can listen to all these protocols at once.

By default, the NetHASP License Manager automatically loads all three protocols.

To load a protocol:

1.	Choose Load from the menu bar.

2.	Select the protocol you want to load. You can select All to load all protocols.

To unload a protocol:

1.	Choose Remove from the menu bar,

2.	Select the protocol you want to unload. You can select All to unload all protocols.

Note: Removing the NetBIOS protocol can take up to two minutes.


-LOCALNET

To: Command-Line Switches

Syntax

-LOCALNET

Purpose

Use this switch if you want the NetHASP License Manager to serve only requests from stations in the local network.

If requests come from stations that are not part of the local network, the NetHASP License Manager returns error 140.

Currently, you can use this switch with IPX.


-MAXLANANUM

To: Command-Line Switches

Syntax

-MAXLANANUM=<number>

Default

6

Purpose

When you load the NetHASP License Manager it automatically searches the lananums for the NetBIOS protocol.

The License Manager listens to all available Lana numbers.

If you want to change this range, use this switch. The NetHASP License Manager searches the lananums from 0 to <number>-1.

See Also

-USELANANUM


name7
A case-insensitive string, up to seven characters long.


name8
An eight character, case-insensitive string.


-NBNAME

To: Command-Line Switches

Syntax

-NBNAME=<Name>

Default

The default NetBIOS License Manager name is: aladinhaspv01.20.

Purpose

This switch is used to modify the NetBIOS NetHASP License Manager name.

The NetBIOS name can be modified up to eight characters. If modified the characters are added between aladinh . . . and the last zero (0).

For example if you change the NetBIOS name to mel, the NetBios name will appear as: aladinhmelv01.20 (The bolded letters are for emphasis only, and do not appear bolded as part of the actual NetBios name.)

See Also

-SRVNAME


-NETBIOS

To: Command-Line Switches

Syntax

-NETBIOS

Purpose

By default, the NetHASP system listens to IPX, NetBIOS, TCP/IP (both UDP and TCP modes). With this switch, you force the NetHASP License Manager to listen to the NetBIOS protocol. You can still load other protocols by using either the -TCP/IP or -IPX switch (or both).

See Also

-IPX

-TCPIP

-IPXNOSAP


NetHASP Error Codes

The following error codes are returned by the NetHASP system. Error codes below 129 are communication errors. Error codes from 129 and up are returned by the NetHASP License Manager.

Error Code	Description
0	Operation successful.
1	The IPX, NetBIOS or TCP/IP protocols have not been installed properly. Act accordingly.
2	Communication error. Unable to get socket number. Applies to IPX and TCP/IP. Verify that the protocol is installed properly.
3	Communication error.
	- NetBIOS: Unable to establish session. Verify that the protocol is installed properly.
	- IPX: Unable to get NetHASP License Manager's immediate address. Verify that the protocol is installed properly.
	- TCP/IP: Unable to connect to the server. Verify that the server address is correct in the INI file.
4	No NetHASP License Manager was found. Check whether your software has a path and read permission to the address file.
5	Cannot read the NetHASP License Manager address file.
6	Cannot close the NetHASP License Manager address file.
7	Communication error. Failed to send packet. Verify that the protocol is installed properly.
8	No answer from the NetHASP License Manager. IPX - The network is busy or incorrect address files found. In the latter case, delete all copies of the HASPADDR.DAT and NEWHADDR.DAT files.  NetBIOS - the network is busy. TCP/IP - If the TCP method is used then the network is busy. If the UDP method is used then the network is busy or there is an incorrect address in the INI file.
10	You called the hasp() routine with one of the services, without first calling the LOGIN service.
11	Communication error. Adapter error. Applies only to NetBIOS. This error can also happen when the NETBIOS protocol is not installed. Verify that the protocol is installed properly.
15	No active NetHASP License Manager was found.
18	Cannot Login because the SET_SERVER_BY_NAME call was not successful.
19	Syntax error in the NetHASP configuration file (LASTSTATUS service returns the line number in which the error occurred in Par2).
	If LastStatus returns 0 in par2, either there is an environment variable with an illegal setting, or no IP address was found (when working with TCP/IP or UDP to host).
20	Error handling the NetHASP configuration file. A file operation like ”open file” or ”read file” failed. A possible reason can be that the system has run out of file handles. The LastStatus service returns the OS system error code in Par2.
21	NetHASP did not succeed in allocating memory. This error is unique to NetHASP interfaces for Microsoft Windows applications and DOS extenders. Try to free DOS memory.
22	NetHASP did not succeed in freeing memory. This error is unique to NetHASP interfaces for Microsoft Windows applications and DOS extenders.
23	Invalid NetHASP memory address.
25	Failed to load the DLL (winsock.dll or w32sock.dll). Applies only to TCP/IP or IPX.
26	Failed to unload the DLL (winsock.dll or w32sock.dll). Applies only to TCP/IP or IPX.
28	Winsock.dll startup error. Applies only to TCP/IP.
30	Failed to close the socket. Applies to TCP/IP only.
33	Protocol already set. Returned only when you attempt to set the protocol without having logged out completely from the API.
129	The correct NetHASP key is not connected to the NetHASP License Manager.
130	The Program Number (Prg Num) specified is not in the Program List of the NetHASP memory.
131	Error reading from NetHASP memory.
132	Error writing to NetHASP memory.
133	The current LOGIN request exceeds the number of stations which may run the software concurrently.
134	The current LOGIN request exceeds the number of authorized activations for the software.
135	You called the hasp() routine with the LOGOUT service without first calling the LOGIN service. This can happen when the License Manager was reloaded or you have been logged out from the License Manager.
136	The NetHASP License Manager is busy. This may occur if your NetHASP system is not well adapted to the network.
137	There is no space in the NetHASP user list.
138	Internal NetHASP error. The Number of Authorized Stations is larger than the maximum number designated by the NetHASP model.
139	The NetHASP License Manager crashed and was reactivated, or you called the hasp() routine with one of the services without first calling the LOGIN service.
140	The NetHASP Licence Manager does not serve your station's network.
141	Invalid service, or new version of the HASP API is communicating with an older version of the NetHASP License Manager.
142	Cannot find the NetHASP License Manager matching the name specified in the NetHASP configuration file.
150	No NetHASP License Manager with the assigned name was found (this error is returned by SET_SERVER_BY_NAME).
151	Two or more different NetHASP License Managers with the assigned name were found (this error is returned by SET_SERVER_BY_NAME).
152	The encode operation failed because the service was not supported by the hardware.
153	The decode operation failed because the service was not supported by the hardware.
155	An old version of the License Manager has been found. The API used required a newer version of the License Manager to be installed.


NetHASP License Manager
An application that communicates with the protected application and the NetHASP key , functioning as a link between the two.


NetHASP License Manager as a Windows NT Service

To: NetHASP License Manager Setup under Windows NT

You can install the NetHASP License Manager Windows NT service. As a service, the NetHASP License Manager launches before logon and continues to run after logout.

You can use the NetHASP License Manager setup program or the custom API to install and remove the service.

Note: Since the NetHASP License Manager loads automatically before logon, the NetHASP License Manager messages (i.e., "HASP not found") do not appear on the screen. Only after logon do these messages appear.

To access the NetHASP License Manager entry in the Service Control Manager:

From the Start menu, select Settings and then Control Panel.

The "HASP Loader" entry appears under Services.


NetHASP License Manager Configuration File

You can fine tune settings for the NetHASP License Manager in its configuration file. The NetHASP License Manager configuration file, nhsrv.ini, contains one section, [NHS_SERVER]. The following is a list of keywords in the [NHS_SERVER] section:

Keyword	NHS_IP_LIMIT = <IPAddr>, <IPAddr>...]
Description	Specify the range of stations the License Manager serves.
Example	The following are examples of IP address format:  10.1.1.1 10.1.1.* 10.1.*.* 10.1.1.2-5 10.2.2-3.2-5 You can also specify stations which the License Manager does not serve. To do so, add the ! sign before the address (in the formats listed above). For example, to exclude a specific station, enter !10.1.1.1.
Keyword	NHS_ADAPTER_IP =  <IPAddr - SubMask>,<IPAddr - SubMask>...]
Description	Specify the adapter(s) to which the server listens.
Example	10.1.1.1-255.255.0.0
Usage	Set this keyword when you use more than one LAN adapter, and when you want to specify to which one(s) the License Manager listens. The subnet mask is used to deny access to distant clients which are routed to the specified adapter.


NetHASP License Manager Installation under Windows NT/2000

To: Setup of NetHASP License Manager

To setup the NetHASP License Manager under Windows NT/2000:

1.	Double-click LMSetup.exe to run the NetHASP License Manager setup utility.

2.	Click Yes.

The necessary files are extracted and a wizard is prepared to assist you through the rest of the process.

3.	Select typical installation, custom installation (if you want to use command-line switches) or removal of the NetHASP License Manager. You also have the option to install the NetHASP License Manager as a Windows NT service.

4.	If you are installing the NetHASP License Manager, select a directory and program folder for it.


NetHASP License Manager Main Window

The NetHASP License Manager main window displays the following information:

•	NetHASP License Manager version number

•	Status of each protocol (loaded, unloaded, or failed to load) and the date and time of the last change of status

•	Status of the NetHASP License Manager (active or not not active)

To open or hide the NetHASP License Manager main window:

Double-click the icon of the red NetHASP key in the system tray at the bottom right of your screen.

Note:You can close the NetHASP License Manager main window by clicking the close button at the right corner of the title bar. However, the NetHASP License Manager will continue to run, and its icon will remain in the system tray. To exit the program, choose Exit from the menu bar. (If the NetHASP License Manager is installed as a Windows NT service, you cannot exit using this menu option. Instead, you must uninstall the service.)

See Also

The NetHASP License Manager Menu Bar


NetHASP License Manager Menu Bar

To: NetHASP License Manager Main Window

The NetHASP License Manager main window contains a menu bar with the following options:

Load

Remove

Activity Log

Help

Exit


NetHASP License Manager Setup under Windows 95/98/ME

To: Setup of NetHASP License Manager

To setup the NetHASP License Manager under Windows 95/98:

1.	Double-click LMSetup.exe to run the NetHASP License Manager setup utility.

2.	Click Yes.

The necessary files are extracted and a wizard is prepared to assist you through the rest of the process.

3.	Select typical installation, custom installation (if you want to use command-line switches), or removal of the NetHASP License Manager.

4.	If you are installing the NetHASP License Manager, select a directory and program folder for it.


not active
The NetHASP License Manager is not active when no protocols are loaded.


-NOUDP

To: Command-Line Switches

Syntax

-NOUDP

Purpose

By default, the NetHASP License Manager listens to IPX, NetBIOS, and TCP/IP (in both UDP and TCP modes). With this switch, you force the NetHASP License Manager to listen to the TCP/IP protocol, in TCP mode only.

See Also

-TCPIP


number
An integer ranging from 0 to 255.


number65535
An integer ranging from 0 to 65535.


-OPENMIN

To: Command-Line Switches

Syntax

-OPENMIN

Default

Opens in normal window size.

Purpose

Opens the window as minimized.


Path
The complete path name.


-PORTNUM

To: Command-Line Switches

Syntax

-PORTNUM=<Number>

Default

The default port number is 475.

Purpose

If you are using the TCP/IP protocol, you can use this switch to tell the NetHASP License Manager to listen to the port you specify.

This switch is optional. The default port number is the port assigned to Aladdin Knowledge Systems.

This switch is only for use with TCP/IP.

See Also

-TCPIP


remove
Unload the protocol(s) of your choice (IPX, NetBIOS, or TCP/IP).


Removing the NetHASP License Manager Windows NT Service with UnInstallShield

To: Custom API of the NetHASP License Manager Windows NT Service

To remove the NetHASP License Manager Windows NT Service with UnInstallShield:

•	Add "-c <path>\nhlminst.dll" in the command line of the UnInstallShield uninst.exe utility.

The above DLL includes the following pre-defined functions which remove the NetHASP License Manager Windows NT service:

UninstInitialize( hwndDlg, hInstance, lReserved=0 )

This function is called before Uninstall starts uninstalling. The function internally calls HaspLMRemove (LM_SERVICE_REMOVE).

UninstUnInitialize( hwndDlg, hInstance, lReserved=0 )

This function is called after Uninstall finishes. It performs nothing.


Setup of NetHASP License Manager

With the NetHASP License Manager setup utility, you can install or remove the Win32 NetHASP License Manager. A setup wizard guides you through all the steps.

The NetHASP License Manager setup utility supports Windows 95/98 and Windows NT/2000.

NetHASP License Manager Setup under Windows 95/98

NetHASP License Manager Setup under Windows NT/2000


-SRVNAME

To: Command-Line Switches

Syntax

-SRVNAME=<Name>[,Name]

Purpose

Use this switch to assign one or more names to the NetHASP License Manager. You can assign a maximum of six names.

You can use this switch with IPX, NetBIOS, and TCP/IP.  When you use NetBIOS, -SRVNAME functions in the same manner as -NBNAME.

For NetBIOS, see also

-NBNAME


-TCPIP

To: Command-Line Switches

Syntax

-TCPIP

Purpose

By default, the NetHASP License Manager listens to IPX, NetBIOS, and TCP/IP (in both UDP and TCP modes). With this switch, you force the NetHASP License Manager to listen to the TCP/IP protocol in both UDP and TCP modes. You can still load other protocols by using either the -NETBIOS or -IPXNOSAP switch (or both).

If you want to specify which port the NetHASP License Manager listens to, you must also use the -PORTNUM switch.

See Also

-PORTNUM

-NETBIOS

-IPXNOSAP

-IPX

-NOUDP


-USELANANUM

To: Command-Line Switches

Syntax

-USELANANUM=<X>[,X]

Purpose

When you load the NetHASP License Manager, it automatically searches the lananums for the NetBIOS protocol.

The License Manager listens to all available Lana numbers.

If you want to set specific lananums, use this switch.

Example

If you load the NetHASP License Manager with

-USELANANUM=0,5

the NetHASP License Manager searches lananums 0 and 5 only.

See Also

-MAXLANANUM


-USERLIST

To: Command-Line Switches

Syntax

-USERLIST=<number>

Default

250 Users

Purpose

Selects the maximum number of users that are served by LM <number> is dword (max 2^32-1).


Viewing the Activity Log

The NetHASP License Manager maintains an activity log, which includes general information in the Server Activity log and specific details in logs of the individual protocols.

To view the Server Activity log:

1.	Choose Activity Log from the menu bar.

The Activity Log window appears.

2.	In the list box, choose Server Activity Log.

The log details appear.

To view the log for a specific protocol:

1.	Choose Activity Log from the menu bar

The Activity Log window appears.

2.	From the list box, choose the protocol.

The log for the protocol you choose appears.


x
An integer ranging from 0 to 255.